top of page

Mysite Group

Public·206 members

InSpectre: Test Your Machine Against Meltdown Spectre Flaw



If you own or support any Windows systems (including if you run Windows on your Mac, either via Boot Camp or via virtual machine software such as VMware Fusion, Parallels Desktop, or Oracle VirtualBox), be sure to install the latest Windows updates from Microsoft. Note that systems running Windows 7 (or Server 2008 R2) or Windows 8.1 (or Server 2012 R2) may need to manually download and apply the patch, since it may not appear in Windows Update; meanwhile, Windows 10 (and Server 2016) users should get the update as part of the usual patch cycle. Make sure your Windows anti-virus is fully up to date before you install the Windows patches.




InSpectre: Test your machine against Meltdown Spectre flaw



spectre-meltdown-checker is a shell script to test if your system is vulnerable to the several speculative execution vulnerabilities that are in nearly all CPUs manufactured in the past 20 years. This is a hardware flaw that potentially allows an attacker to read all data on the system. On cloud computing services, where multiple virtual machines are on a single physical host, an attacker can gain access to all virtual machines. Fixing these vulnerabilities requires redesigning and replacing CPUs. Until this happens, there are several software patches that mitigate these vulnerabilities. If you have kept your SUSE systems updated, all of these patches should already be installed.


Intel CPUs around the globe were discovered to have a design flaw which could potentially leave your computer vulnerable to attacks. It has been around for over ten years but the loophole was only recently discovered. The so-called Intel meltdown allowed free passage for attackers to gain access to the kernel memory of the Operating System installed on your computer. However, the company was quick to roll out an update to patch most of its chips against the security flaw. Unfortunately, the fix involved slowing down the performance of the PC considerably, depending upon the CPU being used. If you think you PC could still be vulnerable to this attack the have a look at the InSpectre application.


spectre-meltdown-checker is a shell script to test if your system is vulnerable to the several speculative execution vulnerabilities that are present in nearly all CPUs manufactured in the past 20 years. This is a hardware flaw that potentially allows an attacker to read all data on the system. On cloud computing services, where multiple virtual machines are on a single physical host, an attacker can gain access to all virtual machines. Fixing these vulnerabilities requires re-designing and replacing CPUs. Until this happens, there are several software patches that mitigate these vulnerabilities. If you have kept your SUSE systems updated, all of these patches should already be installed.


Discuss Windows-specific topics here\n","icon":"fa-windows","bgColor":"#00abef","color":"#ffffff","slug":"11/opera-for-windows","parentCid":5,"topic_count":22136,"post_count":112649,"disabled":0,"order":11,"link":"","numRecentReplies":1,"class":"col-md-3 col-xs-6","imageClass":"cover","subCategoriesPerPage":10,"minTags":0,"maxTags":5,"postQueue":1,"isSection":0,"totalPostCount":112649,"totalTopicCount":22136},"tagWhitelist":[],"minTags":0,"maxTags":5,"thread_tools":[],"isFollowing":false,"isNotFollowing":true,"isIgnoring":false,"bookmark":null,"postSharing":["id":"facebook","name":"Facebook","class":"fa-facebook","activated":true,"id":"twitter","name":"Twitter","class":"fa-twitter","activated":true],"deleter":null,"merger":null,"related":[],"unreplied":false,"icons":[],"privileges":"topics:reply":false,"topics:read":true,"topics:schedule":false,"topics:tag":false,"topics:delete":false,"posts:edit":false,"posts:history":false,"posts:delete":false,"posts:view_deleted":false,"read":true,"purge":false,"view_thread_tools":false,"editable":false,"deletable":false,"view_deleted":false,"view_scheduled":false,"isAdminOrMod":false,"disabled":0,"tid":"40716","uid":0,"topicStaleDays":60,"reputation:disabled":0,"downvote:disabled":0,"feeds:disableRSS":0,"bookmarkThreshold":5,"necroThreshold":7,"postEditDuration":1800,"postDeleteDuration":1800,"scrollToMyPost":true,"updateUrlWithPostIndex":true,"allowMultipleBadges":true,"privateUploads":false,"showPostPreviewsOnHover":true,"rssFeedUrl":"/topic/40716.rss","postIndex":1,"breadcrumbs":["text":"[[global:home]]","url":"/","text":"Opera for computers","url":"/category/5/opera-for-computers","cid":5,"text":"Opera for Windows","url":"/category/11/opera-for-windows","cid":11,"text":"Meltdown & Spectre the last Opera 68.0.3618.104 vulnerability"],"pagination":"rel":["rel":"next","href":" -spectre-the-last-opera-68-0-3618-104-vulnerability?lang=en-US&page=2"],"pages":["page":1,"active":true,"qs":"lang=en-US&page=1","page":2,"active":false,"qs":"lang=en-US&page=2"],"currentPage":1,"pageCount":2,"prev":"page":1,"active":false,"qs":"lang=en-US&page=1","next":"page":2,"active":true,"qs":"lang=en-US&page=2","first":"page":1,"active":true,"qs":"lang=en-US&page=1","last":"page":2,"active":false,"qs":"lang=en-US&page=2","loggedIn":false,"relative_path":"","template":"name":"topic","topic":true,"url":"/topic/40716/meltdown-spectre-the-last-opera-68-0-3618-104-vulnerability","bodyClass":"page-topic page-topic-40716 page-topic-meltdown-spectre-the-last-opera-68-0-3618-104-vulnerability page-topic-category-11 page-topic-category-opera-for-windows parent-category-5 parent-category-11 page-status-200 user-guest","returnPath":"%2Ftopic%2F40716%2Fmeltdown-spectre-the-last-opera-68-0-3618-104-vulnerability","_header":"tags":"meta":["name":"viewport","content":"width=device-width, initial-scale=1.0","name":"content-type","content":"text/html; charset=UTF-8","noEscape":true,"name":"apple-mobile-web-app-capable","content":"yes","name":"mobile-web-app-capable","content":"yes","property":"og:site_name","content":"Opera forums","name":"msapplication-badge","content":"frequency=30; polling-uri= ","noEscape":true,"name":"theme-color","content":"#ffffff","name":"title","content":"Meltdown & Spectre the last Opera 68.0.3618.104 vulnerability","name":"description","content":"if checked it shows that it is vulnerable Meltdown & Spectre. all default settings. _check.html the previous version worked well and there were no problems. ","property":"og:title","content":"Meltdown & Spectre the last Opera 68.0.3618.104 vulnerability","property":"og:description","content":"if checked it shows that it is vulnerable Meltdown & Spectre. all default settings. _check.html the previous version worked well and there were no problems. ","property":"og:type","content":"article","property":"article:published_time","content":"2020-05-15T14:20:23.185Z","property":"article:modified_time","content":"2020-05-21T05:57:41.483Z","property":"article:section","content":"Opera for Windows","property":"og:image","content":" -bugopera.png","noEscape":true,"property":"og:image:url","content":" -bugopera.png","noEscape":true,"property":"og:image:width","content":"681","property":"og:image:height","content":"666","property":"og:image","content":" -profileavatar.png","noEscape":true,"property":"og:image:url","content":" -profileavatar.png","noEscape":true,"property":"og:image","content":" -image.png","noEscape":true,"property":"og:image:url","content":" -image.png","noEscape":true,"property":"og:image:width","content":"192","property":"og:image:height","content":"192","content":" -spectre-the-last-opera-68-0-3618-104-vulnerability","property":"og:url"],"link":["rel":"icon","type":"image/x-icon","href":"/assets/uploads/system/favicon.ico?v=3aaafi8frqb","rel":"manifest","href":"/manifest.webmanifest","crossorigin":"use-credentials","rel":"search","type":"application/opensearchdescription+xml","title":"Opera forums","href":"/osd.xml","rel":"apple-touch-icon","href":"/assets/uploads/system/touchicon-orig.png","rel":"icon","sizes":"36x36","href":"/assets/uploads/system/touchicon-36.png","rel":"icon","sizes":"48x48","href":"/assets/uploads/system/touchicon-48.png","rel":"icon","sizes":"72x72","href":"/assets/uploads/system/touchicon-72.png","rel":"icon","sizes":"96x96","href":"/assets/uploads/system/touchicon-96.png","rel":"icon","sizes":"144x144","href":"/assets/uploads/system/touchicon-144.png","rel":"icon","sizes":"192x192","href":"/assets/uploads/system/touchicon-192.png","rel":"prefetch","href":"/assets/src/modules/composer.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/src/modules/composer/uploads.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/src/modules/composer/drafts.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/src/modules/composer/tags.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/src/modules/composer/categoryList.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/src/modules/composer/resize.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/src/modules/composer/autocomplete.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/templates/composer.tpl?v=3aaafi8frqb","rel":"prefetch","href":"/assets/language/en-GB/topic.json?v=3aaafi8frqb","rel":"prefetch","href":"/assets/language/en-GB/modules.json?v=3aaafi8frqb","rel":"prefetch","href":"/assets/language/en-GB/tags.json?v=3aaafi8frqb","rel":"prefetch stylesheet","type":"","href":"/plugins/nodebb-plugin-markdown/styles/railscasts.css","rel":"prefetch","href":"/assets/src/modules/highlight.js?v=3aaafi8frqb","rel":"prefetch","href":"/assets/language/en-GB/markdown.json?v=3aaafi8frqb","rel":"stylesheet","href":" -plugin-emoji/emoji/styles.css?v=3aaafi8frqb","rel":"canonical","href":" -spectre-the-last-opera-68-0-3618-104-vulnerability","rel":"alternate","type":"application/rss+xml","href":"/topic/40716.rss","rel":"up","href":" -for-windows","rel":"next","href":" -spectre-the-last-opera-68-0-3618-104-vulnerability?lang=en-US&page=2"],"widgets":"header":[],"_locals":"useragent":"isYaBrowser":false,"isAuthoritative":true,"isMobile":false,"isMobileNative":false,"isTablet":false,"isiPad":false,"isiPod":false,"isiPhone":false,"isiPhoneNative":false,"isAndroid":false,"isAndroidNative":false,"isBlackberry":false,"isOpera":false,"isIE":false,"isEdge":false,"isIECompatibilityMode":false,"isSafari":false,"isFirefox":false,"isWebkit":false,"isChrome":true,"isKonqueror":false,"isOmniWeb":false,"isSeaMonkey":false,"isFlock":false,"isAmaya":false,"isPhantomJS":false,"isEpiphany":false,"isDesktop":true,"isWindows":true,"isLinux":false,"isLinux64":false,"isMac":false,"isChromeOS":false,"isBada":false,"isSamsung":false,"isRaspberry":false,"isBot":false,"isCurl":false,"isAndroidTablet":false,"isWinJs":false,"isKindleFire":false,"isSilk":false,"isCaptive":false,"isSmartTV":false,"isUC":false,"isFacebook":false,"isAlamoFire":false,"isElectron":false,"silkAccelerated":false,"browser":"Chrome","version":"101.0.0.0","os":"Windows 10.0","platform":"Microsoft Windows","geoIp":,"source":"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/101.0.0.0 Safari/537.36","isWechat":false,"renderHeader":true,"isAPI":false,"config": browserTitle","showSiteTitle":true,"maintenanceMode":false,"minimumTitleLength":4,"maximumTitleLength":255,"minimumPostLength":4,"maximumPostLength":32767,"minimumTagsPerTopic":0,"maximumTagsPerTopic":5,"minimumTagLength":3,"maximumTagLength":15,"undoTimeout":10000,"useOutgoingLinksPage":false,"allowGuestHandles":false,"allowTopicsThumbnail":false,"usePagination":false,"disableChat":false,"disableChatMessageEditing":false,"maximumChatMessageLength":1000,"socketioTransports":["polling","websocket"],"socketioOrigins":" :*","websocketAddress":"","maxReconnectionAttempts":5,"reconnectionDelay":1500,"topicsPerPage":20,"postsPerPage":20,"maximumFileSize":2048,"theme:id":"nodebb-theme-opera","theme:src":"","defaultLang":"en-GB","userLang":"en-US","loggedIn":false,"uid":0,"cache-buster":"v=3aaafi8frqb","topicPostSort":"oldest_to_newest","categoryTopicSort":"newest_to_oldest","csrf_token":"CGeN6ipN-pYa4agaz4BJ7L3CxfmtSkETByLQ","searchEnabled":true,"searchDefaultInQuick":"titles","bootswatchSkin":"","enablePostHistory":true,"timeagoCutoff":30,"timeagoCodes":["af","am","ar","az-short","az","be","bg","bs","ca","cs","cy","da","de-short","de","dv","el","en-short","en","es-short","es","et","eu","fa-short","fa","fi","fr-short","fr","gl","he","hr","hu","hy","id","is","it-short","it","ja","jv","ko","ky","lt","lv","mk","nl","no","pl","pt-br-short","pt-br","pt-short","pt","ro","rs","ru","rw","si","sk","sl","sq","sr","sv","th","tr-short","tr","uk","ur","uz","vi","zh-CN","zh-TW"],"cookies":"enabled":false,"message":"[[global:cookies.message]]","dismiss":"[[global:cookies.accept]]","link":"[[global:cookies.learn_more]]","link_url":" ","thumbs":"size":512,"iconBackgrounds":["#f44336","#e91e63","#9c27b0","#673ab7","#3f51b5","#2196f3","#009688","#1b5e20","#33691e","#827717","#e65100","#ff5722","#795548","#607d8b"],"emailPrompt":1,"acpLang":"en-US","topicSearchEnabled":false,"hideSubCategories":false,"hideCategoryLastPost":false,"enableQuickReply":false,"composer-default":,"markdown":"highlight":1,"highlightLinesLanguageList":[""],"theme":"railscasts.css","opera":"authValidateEmailURL":" -profile","google-analytics":"id":"UA-4118503-39","displayFeatures":"off","emojiCustomFirst":false,"metaTags":["name":"title","content":"Meltdown & Spectre the last Opera 68.0.3618.104 vulnerability","name":"description","content":"if checked it shows that it is vulnerable Meltdown & Spectre. all default settings. _check.html the previous version worked well and there were no problems. ","property":"og:title","content":"Meltdown & Spectre the last Opera 68.0.3618.104 vulnerability","property":"og:description","content":"if checked it shows that it is vulnerable Meltdown & Spectre. all default settings. _check.html the previous version worked well and there were no problems. ","property":"og:type","content":"article","property":"article:published_time","content":"2020-05-15T14:20:23.185Z","property":"article:modified_time","content":"2020-05-21T05:57:41.483Z","property":"article:section","content":"Opera for Windows","property":"og:image","content":" -bugopera.png","noEscape":true,"property":"og:image:url","content":" -bugopera.png","noEscape":true,"property":"og:image:width","content":"681","property":"og:image:height","content":"666","property":"og:image","content":" -profileavatar.png","noEscape":true,"property":"og:image:url","content":" -profileavatar.png","noEscape":true],"linkTags":["rel":"canonical","href":" -spectre-the-last-opera-68-0-3618-104-vulnerability","rel":"alternate","type":"application/rss+xml","href":"/topic/40716.rss","rel":"up","href":" -for-windows","rel":"next","href":" -spectre-the-last-opera-68-0-3618-104-vulnerability?lang=en-US&page=2"],"template":"topic","scripts":[],"customJS":"","isSpider":false}Looks like your connection to Opera forums was lost, please wait while we try to reconnect.


Couldn’t Load Comments
It looks like there was a technical problem. Try reconnecting or refreshing the page.

About

Welcome to the group! You can connect with other members, ge...
bottom of page